
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

Rename PCDP_TABLE_GUID back to HCDP_TABLE_GUID to get the file to compile
again.  This change is against current 2.6 BK and is under
CONFIG_IA64_EARLY_PRINTK_UART.

Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/firmware/pcdp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/firmware/pcdp.c~fix-ia64-early_printk-build-problem drivers/firmware/pcdp.c
--- 25/drivers/firmware/pcdp.c~fix-ia64-early_printk-build-problem	2004-07-13 11:49:51.966216472 -0700
+++ 25-akpm/drivers/firmware/pcdp.c	2004-07-13 11:49:51.970215864 -0700
@@ -212,7 +212,7 @@ hcdp_early_uart (void)
 	config_tables = __va(config_tables);
 
 	for (i = 0; i < systab->nr_tables; i++) {
-		if (efi_guidcmp(config_tables[i].guid, PCDP_TABLE_GUID) == 0) {
+		if (efi_guidcmp(config_tables[i].guid, HCDP_TABLE_GUID) == 0) {
 			pcdp = (struct pcdp *) config_tables[i].table;
 			break;
 		}
_
